Lucene91NeighborArray (Lucene 10.5.1 backward-codecs API)
Description: declaration: package: org.apache.lucene.backward_codecs.lucene91, class: Lucene91NeighborArray

Package org.apache.lucene.backward_codecs.lucene91

# Class Lucene91NeighborArray

java.lang.Object
org.apache.lucene.backward_codecs.lucene91.Lucene91NeighborArray

public class Lucene91NeighborArray extends Object
NeighborArray encodes the neighbors of a node and their mutual scores in the HNSW graph as a pair of growable arrays.

NOTE: This API is for internal purposes only and might change in incompatible ways in the next release.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Lucene91NeighborArray(int maxSize)`
  Create a neighbour array with the given initial size

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `add(int newNode, float newScore)`
  Add a new node with a score
  `void`
  `clear()`
  Clear all the nodes in the array
  `int[]`
  `node()`
  Direct access to the internal list of node ids; provided for efficient writing of the graph
  `void`
  `removeLast()`
  Remove the last nodes from the array
  `float[]`
  `score()`
  Direct access to the internal list of scores
  `int`
  `size()`
  Get the size, the number of nodes added so far
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Lucene91NeighborArray

    public Lucene91NeighborArray(int maxSize)
    Create a neighbour array with the given initial size

- ## Method Details

  - ### add

    public void add(int newNode, float newScore)
    Add a new node with a score

  - ### size

    public int size()
    Get the size, the number of nodes added so far

  - ### node

    public int[] node()
    Direct access to the internal list of node ids; provided for efficient writing of the graph
    NOTE: This API is for internal purposes only and might change in incompatible ways in the next release.

  - ### score

    public float[] score()
    Direct access to the internal list of scores
    NOTE: This API is for internal purposes only and might change in incompatible ways in the next release.

  - ### clear

    public void clear()
    Clear all the nodes in the array

  - ### removeLast

    public void removeLast()
    Remove the last nodes from the array

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`